Bug 875374 (CVE-2012-5517) - CVE-2012-5517 kernel: mm/hotplug: failure in propagating hot-added memory to other nodes
Summary: CVE-2012-5517 kernel: mm/hotplug: failure in propagating hot-added memory to ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-5517
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 870350 875382 875383
Blocks: 875376
TreeView+ depends on / blocked
 
Reported: 2012-11-10 21:19 UTC by Petr Matousek
Modified: 2019-09-29 12:57 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 13:27:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1580 normal SHIPPED_LIVE Moderate: kernel security, bug fix and enhancement update 2012-12-19 03:31:48 UTC

Description Petr Matousek 2012-11-10 21:19:17 UTC
A NULL pointer dereference flaw has been found in the way a new node's hot-added memory is propagated to other nodes zonelists. An unprivileged local user can use this flaw to crash the system.

Upstream fix:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=08dff7b7d629807dbb1f398c68dd9cd58dd657a1

Comment 2 Petr Matousek 2012-11-10 21:43:55 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 875383]

Comment 3 errata-xmlrpc 2012-12-18 22:36:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1580 https://rhn.redhat.com/errata/RHSA-2012-1580.html

Comment 5 Petr Matousek 2013-01-25 08:38:52 UTC
Statement:

This issue did affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 6.

This issue did not affect the versions of kernel package as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG.


Note You need to log in before you can comment on or make changes to this bug.